<%@ Control Language="c#" AutoEventWireup="false" CodeBehind="SC_Main.ascx.cs" EnableViewState="true"
    Inherits="DNNMasters.ShadowCopy.UI.SC_Main" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Register TagPrefix="componentart" Namespace="DNNMasters.SC.ComponentArt.Web.UI"
    Assembly="DNNMasters.SC.ComponentArt.Web.UI" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>

<link href="<%= ControlPath.Replace("UI/", "") %>/module.css" type="text/css" rel="stylesheet" />
<script language="javascript" src="<%=ControlPath.Replace("UI/", "")%>Scripts/main.js" type="text/javascript"></script>

<script type="text/javascript">

    var currStep = 1;
    function Navigate(direction)
    {
        if(direction == "back")
        {
            currStep--;
        }
        else
        {
            if(currStep == 1 && checkedModules == "")
            {
                // Validate checked Modules
                alert('Please select Modules from Tree.');
                return;
            }
            else if(currStep == 2 && checkedPages == "")
            {
                // Validate checked Pages
                alert('Please select Pages from Tree.');
                return;
            }
            currStep++;
        }
        SetNavigators(currStep);
    }

    function SetNavigators(step)
    {
        var rbtDelete = document.getElementById('<%= _rbActionDelete.ClientID %>');
        switch(step)
        {
            case 0:
                document.getElementById('<%=_hypFinish.ClientID%>').style.display = 'none';
                document.getElementById('<%=_hypNext.ClientID%>').style.display = 'none';
                document.getElementById('<%=_hypBack.ClientID%>').style.display = 'none';
            break;
            case 1:
                document.getElementById('<%=_hypFinish.ClientID%>').style.display = 'none';
                document.getElementById('<%=_hypNext.ClientID%>').style.display = 'inline';
                document.getElementById('<%=_hypBack.ClientID%>').style.display = 'none';
                document.getElementById('_tblStep1').style.display = 'inline';
                document.getElementById('_tblStep2').style.display = 'none';
                document.getElementById('_tblStep3').style.display = 'none';
                document.getElementById('<%=_lblStep1.ClientID%>').style.display = 'inline';
                document.getElementById('<%=_lblStep2.ClientID%>').style.display = 'none';
            break;
            case 2:
                document.getElementById('<%=_hypFinish.ClientID%>').style.display = 'none';
                document.getElementById('<%=_hypNext.ClientID%>').style.display = 'inline';
                document.getElementById('<%=_hypBack.ClientID%>').style.display = 'inline';
                document.getElementById('_tblStep1').style.display = 'none';
                document.getElementById('_tblStep2').style.display = 'inline';
                document.getElementById('_tblStep3').style.display = 'none';
                document.getElementById('<%=_lblStep1.ClientID%>').style.display = 'none';
                document.getElementById('<%=_lblStep2.ClientID%>').style.display = 'inline';
                document.getElementById('<%=_lblStep3a.ClientID%>').style.display = 'none';
                document.getElementById('<%=_lblStep3b.ClientID%>').style.display = 'none';
            break;
            case 3:
                document.getElementById('<%=_hypFinish.ClientID%>').style.display = 'inline';
                document.getElementById('<%=_hypNext.ClientID%>').style.display = 'none';
                document.getElementById('<%=_hypBack.ClientID%>').style.display = 'inline';
                document.getElementById('_tblStep1').style.display = 'none';
                document.getElementById('_tblStep2').style.display = 'none';
                document.getElementById('_tblStep3').style.display = 'inline';
                document.getElementById('<%=_lblStep1.ClientID%>').style.display = 'none';
                document.getElementById('<%=_lblStep2.ClientID%>').style.display = 'none';
                
                
                if(rbtDelete != null && rbtDelete.checked)
                {
                    document.getElementById('<%=_trDeleteOptions.ClientID%>').style.display = 'inline';
                    document.getElementById('<%=_trCopyOptions.ClientID%>').style.display = 'none';
                    document.getElementById('<%=_lblStep3b.ClientID%>').style.display = 'inline  ';
                }
                else
                {
                    document.getElementById('<%=_trDeleteOptions.ClientID%>').style.display = 'none';
                    document.getElementById('<%=_trCopyOptions.ClientID%>').style.display = 'inline';
                    document.getElementById('<%=_lblStep3a.ClientID%>').style.display = 'inline  ';
                }
                
            break;
        }
    }

    var checkedModules = "";
    function _tvModules_onNodeCheckChange(sender, eventArgs)
    {
        var nodeID = eventArgs.get_node().get_id();
        var nodeChecked = eventArgs.get_node().get_checked();
        
        if(nodeChecked)
            checkedModules += nodeID + "|";
        else
            checkedModules = checkedModules.replace(nodeID + "|", "");
    }

    var checkedPages = "";
    function _tvPages_onNodeCheckChange(sender, eventArgs)
    {
        var nodeID = eventArgs.get_node().get_id();
        var nodeChecked = eventArgs.get_node().get_checked();
        
        if(nodeChecked)
            checkedPages += nodeID + "|";
        else
            checkedPages = checkedPages.replace(nodeID + "|", "");
    }

    function Execute()
    {
        document.getElementById('<%=imgLoader.ClientID%>').style.display = 'inline';
        SetNavigators(0);
        
        var rbtDelete = document.getElementById('<%= _rbActionDelete.ClientID %>');
        var rbtDeleteMode = document.getElementById('<%= _rbDeleteModeSoft.ClientID %>');
        var chkCopySett = document.getElementById('<%= _chkCopyModuleSett.ClientID %>'); 
        var insertVal = document.getElementById('<%= _ddlInsert.ClientID %>').options[document.getElementById('<%= _ddlInsert.ClientID %>').selectedIndex].value;
        var paneName = document.getElementById('<%= _ddlPaneLst.ClientID %>').options[document.getElementById('<%= _ddlPaneLst.ClientID %>').selectedIndex].value;
        if(rbtDelete != null && rbtDelete.checked)
            DNNMasters.ShadowCopy.UI.SC_WebService.ExecuteDeleteModules(checkedModules, checkedPages, rbtDeleteMode.checked, SucceededCallback);
        else
            DNNMasters.ShadowCopy.UI.SC_WebService.ExecuteCopyModules(checkedModules, checkedPages, chkCopySett.checked, insertVal, paneName, SucceededCallback);
    }

    function SucceededCallback(result, eventArgs) {
        document.getElementById('<%=imgLoader.ClientID%>').style.display = 'none';
        document.getElementById('<%=_trSuccess.ClientID%>').style.display = 'inline';
    }


</script>

<asp:Literal ID="_litStyle" runat="server"></asp:Literal>

<asp:Panel ID="_pnlUI" runat="server">

<table width="100%" height="70px" cellpadding="5" align="center" class="NavigationTable" >
<tr>
    <td align="center" width="25%">
        <asp:HyperLink ID="_hypBack" runat="server" CssClass="Normal" onclick="Navigate('back');" style="display:none;cursor:pointer;" >
           <asp:Image ID="Image3" ImageUrl="~/DesktopModules/DNNMasters.ShadowCopy/Images/Previous-icon.png" runat="server" />
        </asp:HyperLink>
    </td>
    <td width="50%" valign="middle" align="center">
        <asp:Label ID="_lblStep1" resourcekey="Step1" runat="server" CssClass="NormalBold" Font-Size="Medium" />
        <asp:Label ID="_lblStep2" resourcekey="Step2" runat="server" CssClass="NormalBold" Font-Size="Medium" style="display:none" />
        <asp:Label ID="_lblStep3a" resourcekey="Step3a" runat="server" CssClass="NormalBold" Font-Size="Medium" style="display:none" />
        <asp:Label ID="_lblStep3b" resourcekey="Step3b" runat="server" CssClass="NormalBold" Font-Size="Medium" style="display:none" />
    </td>
    <td align="center" width="25%" valign="middle">
        <asp:HyperLink ID="_hypNext" runat="server" CssClass="Normal" onclick="Navigate('next');" style="cursor:pointer;" >
            <asp:Image ID="Image1" ImageUrl="~/DesktopModules/DNNMasters.ShadowCopy/Images/Next-icon.png" runat="server" />
        </asp:HyperLink>
        
        <asp:HyperLink ID="_hypFinish" runat="server" CssClass="Normal" onclick="Execute();" style="display:none;cursor:pointer;" >
            <asp:Image ID="Image2" ImageUrl="~/DesktopModules/DNNMasters.ShadowCopy/Images/accept-icon.png" runat="server" />
        </asp:HyperLink>
    </td>
</tr>
</table>

        <table cellpadding="10" id="_tblStep1">
            <tr>
                <td>
                    <componentart:TreeView id="_tvModules" Height="400" Width="500" DragAndDropEnabled="false"
                        NodeEditingEnabled="false" KeyboardEnabled="true" CssClass="TreeView" NodeCssClass="TreeNode"
                        SelectedNodeCssClass="SelectedTreeNode" HoverNodeCssClass="HoverTreeNode" NodeEditCssClass="NodeEdit"
                        LineImageWidth="19" LineImageHeight="20" DefaultImageWidth="16" DefaultImageHeight="16"
                        ItemSpacing="0" NodeLabelPadding="3" ShowLines="true" LineImagesFolderUrl="~/DesktopModules/DNNMasters.ShadowCopy/Images/TreeView/lines/"
                        ImagesBaseUrl="~/DesktopModules/DNNMasters.ShadowCopy/Images/TreeView/" EnableViewState="true"
                        runat="server">
                        <clientevents>
                            <NodeCheckChange EventHandler="_tvModules_onNodeCheckChange" />
                        </clientevents>
                    </componentart:TreeView>
                </td>
                <td valign="top">
                    <asp:Label ID="_lblStep1Help" resourcekey="_lblStep1Help" runat="server" CssClass="Normal" Font-Size="Small" /><br /><br />
                    <dnn:label id="lblActionType" runat="server" CssClass="Normal" Suffix=":" />
                    <asp:RadioButton ID="_rbActionCopy" resourcekey="ActionCopy" CssClass="Normal" GroupName="ActionType" runat="server" Checked="true" /><br />
                    <asp:RadioButton ID="_rbActionDelete" resourcekey="ActionDelete" CssClass="Normal" GroupName="ActionType" runat="server" />
                </td>
            </tr>
        </table>
        
        
        
        
        
    
        <table cellpadding="10" id="_tblStep2" style="display:none;">
            <tr>
                <td>
                    <componentart:TreeView id="_tvPages" Height="400" Width="500" DragAndDropEnabled="false"
                        NodeEditingEnabled="false" KeyboardEnabled="true" CssClass="TreeView" NodeCssClass="TreeNode"
                        SelectedNodeCssClass="SelectedTreeNode" HoverNodeCssClass="HoverTreeNode" NodeEditCssClass="NodeEdit"
                        LineImageWidth="19" LineImageHeight="20" DefaultImageWidth="16" DefaultImageHeight="16"
                        ItemSpacing="0" NodeLabelPadding="3" ShowLines="true" LineImagesFolderUrl="~/DesktopModules/DNNMasters.ShadowCopy/Images/TreeView/lines/"
                        ImagesBaseUrl="~/DesktopModules/DNNMasters.ShadowCopy/Images/TreeView/" EnableViewState="true"
                        runat="server">
                        <clientevents>
                            <NodeCheckChange EventHandler="_tvPages_onNodeCheckChange" />
                        </clientevents>
                    </componentart:TreeView>
                </td>
                <td valign="top">
                    <asp:Label ID="_lblStep2Help" resourcekey="_lblStep2Help" runat="server" CssClass="Normal" Font-Size="Small" /><br /><br />
                </td>
            </tr>
        </table>





        <table width="100%" id="_tblStep3" style="display:none;" border="0" cellpadding="10" align="center">
            <tr id="_trDeleteOptions" runat="server" style="display:none;">
                <td valign="top" colspan="2">
                    <dnn:label id="lblDeleteMode" runat="server" CssClass="Normal" Suffix=":" />
                    <asp:RadioButton ID="_rbDeleteModeSoft" resourcekey="DeleteModeSoft" CssClass="Normal" GroupName="DeleteMode" runat="server" Checked="true" /><br />
                    <asp:RadioButton ID="_rbDeleteModeHard" resourcekey="DeleteModeHard" CssClass="Normal" GroupName="DeleteMode" runat="server" />
                </td>
            </tr>
            <tr id="_trCopyOptions" runat="server" style="display:none;">
                <td valign="top">
                    <dnn:label id="lblPane" runat="server" CssClass="Normal" Suffix=":" />
                    <asp:DropDownList ID="_ddlPaneLst" CssClass="NormalTextBox" runat="server" Width="150" /><br /><br />
                    <asp:CheckBox ID="_chkCopyModuleSett" resourcekey="_chkCopyModuleSett" CssClass="Normal" runat="server" />
                </td>
                <td valign="top">
                    <dnn:label id="lblInsert" runat="server" CssClass="Normal" Suffix=":" />
                    <asp:DropDownList ID="_ddlInsert" CssClass="NormalTextBox" runat="server" Width="150">
                        <asp:ListItem Text="Top" Value="0"></asp:ListItem>
                        <asp:ListItem Text="Bottom" Value="-1"></asp:ListItem>
                        <asp:ListItem Text="Default" Value="-2"></asp:ListItem>
                    </asp:DropDownList>
                </td>
            </tr>
            <tr>
                <td align="center" colspan="2">
                    <asp:Image ID="imgLoader" ImageUrl="~/DesktopModules/DNNMasters.ShadowCopy/images/ajax-loader.gif" runat="server" ImageAlign="Middle" 
                        style="display:none;cursor:wait;" />
                </td>
            </tr>
            <tr id="_trSuccess" runat="server" style="display:none;" align="center">
                <td align="center" colspan="2">
                    <br />
                    <asp:Label ID="_lblSuccess" resourcekey="_lblSuccess" ForeColor="Green" CssClass="Normal" Font-Size="Medium" runat="server" />
                    <br /><br />
                    <asp:LinkButton ID="_lnkResetModule" resourcekey="_lnkResetModule" CssClass="CommandButton" runat="server" />
                </td>
            </tr>
        </table>
</asp:Panel>